/*
 *	divdomain.c	divide FQDN to each domain part & reverse its order
 *	programmed by Nakata Hiroshi 2001 September.
 *	this program may distribute under GNU GPL license.
 */

#include <stdio.h>
#include <string.h>

#define	BUFF_SIZE	1024

static void	putdom();

/* main section	-------------------------------------------------------------*/
int	main()
{
  char	buff[BUFF_SIZE];
  char	*p_dom1, *p_dom2, *p_dom3, *p;

  while ( fgets( buff, BUFF_SIZE, stdin ) != NULL ) {
    p_dom1 = buff;
    p_dom2 = p_dom3 = NULL;
    for (p = buff; (p = index( p, '.' )) != NULL; ) {
      if ( p_dom2 ) {
	p_dom3 = p_dom2;
      }
      p_dom2 = p_dom1;
      p_dom1 = ++p;
    }
    putdom( p_dom1 );
    putdom( p_dom2 );
    putdom( p_dom3 );
    printf( "\t\t%s\n", buff );
  }

  return (0);
}

/* divide FQDN to each part	---------------------------------------------*/
static void	putdom( char *p )
{
  if ( p == NULL ) {
    return;
  }

  while ( *p != '\0' && *p != '.' && *p != '\n' ) {
    putchar( *p++ );
  }
  putchar( '\t' );
}
/*	EOF	**************************************************************/
